package main

import (
	"github.com/bwmarrin/discordgo"
)

func cleanUpRole(s *discordgo.Session, discordID string) {
	member, err := s.GuildMember(guildID, discordID)
	if err != nil {
		logError(s, "cleanUpRole", "guildMember", discordID)
		return
	}
	for _, v := range member.Roles {
		for _, w := range rolesFromLevel {
			if v == w {
				s.GuildMemberRoleRemove(guildID, discordID, v)
				break
			}
		}
	}
}
